/* getenv.sa -- retrieve a value from the environment */

/*
 * Copyright (C) Erik ``De Zeurkous'' Bogeholt, 2007, 2008
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *        This product includes software developed by Erik
 *        ``De Zeurkous'' Bogeholt  and/or other contributors.
 *    This notice may be omitted when prior written permission is obtained from
 *    Erik ``De Zeurkous'' Bogeholt.
 * 4. Neither the name of Erik ``De Zeurkous'' Bogeholt nor the names of other
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY ERIK BOGEHOLT AND OTHER CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ERIK BOGEHOLT OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
*/

// Last modified at Wed Mar 12 20:15:07 UTC 2008 by De Zeurkous.

// version 0.02

static char VERSION[] = "0.21";

#define FMT_MSG_USAGE   "%s: usage: %s name\n"   // usage info
#define FMT_MSG_VERSION "%s: version %s\n"       // version info; not currently used
#define FMT_MSG_NOENT   "%s: no such variable\n" // specified variable not found; not currently used

#define MSG_USAGE   argv[0], argv[0] // usage info
#define MSG_VERSION argv[0], VERSION // version info; not currently used
#define MSG_NOENT   argv[0]          // specified variable not found; not currently used 
 
